//# sourceURL=reader-config.js

(function (W, D, Q, M) {//window document jQuery SWR
    function isTrue(val) {
        return val ? val === "true" : false;
    }

    function parseJson(json) {
        if (Q.isPlainObject(json) || Q.isArray(json)) {
            return json;
        }
        return Q.parseJSON(json);
    }

    function toArray(array, regular) {
        if (array && regular) {
            return array.split(regular);
        }
        return array;
    }

    function toInt(val) {
        return parseInt(val);
    }

    W.SWR = Q.extend(M, {
        Config: {
            errorMessage: "暂无详情 请刷新页面重试",/*错误提示信息*/
            printMode: "html",/*打印模式*/
            sealPlace: "server",/*获取签章库位置*/
            sealUrl: "",/*签章服务地址*/
            flipType: "hard",/*翻页模式*/
            crop: toArray("", ";"),/*裁剪参数*/
            partBase: toInt("2000"),/*快加载基础宽度*/
            responseMax: toInt("10"),/*最大请求次数*/
            showAll: isTrue("false"),/*是否一次全部加载页面*/
            mobileToolBar: isTrue("true"),/*是否显示手机端工具栏*/
            toolBar: isTrue("true"),/*是否显示PC端工具栏*/
            contextMenu: isTrue("false"),/*自定义右键菜单URL*/
            aLink: isTrue("false"),/**/
            disableMenu: isTrue("true"),/*是否禁用右键菜单*/
            annot: isTrue("false"),/*是否绘制注释*/
            fastText: isTrue("false"),/*是否启用快速模式来显示文本*/
            embed: isTrue("false"),/*是否显示嵌入式文本以供选择*/
            infoExceptionOpen: isTrue("false"),/*info 中area异常（宽高小于0）时是否用A4的宽高打开*/
            painter: isTrue("false"),/*是否启用签批*/
            sync: isTrue("false"),/*开启同步签批*/
            checkPerm: isTrue("false")/*检查权限*/,
            storage: isTrue("false"),/*实现回写接口*/
            dpi: toInt("96"),/*默认dpi*/
            dpiRange: parseJson("[96.0, 120.0, 144.0, 168.0, 192.0]"),/*允许的DPI*/
            server: "./",/*获取签章库位置*/
            appVersion: "3.60.210202",/*版本号*/
            appName: "数科网维轻阅读",/*title*/
            theme: "${theme}",/*工具栏颜色*/
            servlet: "",/*请求路径*/
            static: "./static/",
            pageSearchColor: toArray("", ";"),/*搜索标记颜色*/
            pageSearchSelectColor: toArray("", ";"),/*搜索结果被选中时颜色*/
            sealContinuous: isTrue("false"),/*是否连续盖章*/
            listenerBeforeunload: isTrue("false")/*监听页面被关闭、或刷新时提示*/
        }
    });
})(window, window.document, window.jQuery, window.SWR || {});
